body {
  background-color: black;
  background-image: url('Texturelabs_Fabric_193XL 2.png');
  background-repeat: no-repeat;
  height: 100%;
  margin: 0;
  display: flex;
  flex-direction: column;
  background-size: cover;
  align-items: center;
  text-wrap: balance;
}

@media (max-width: 600px) {
  body {
    background-size: auto;}
  }
  
.icon {
  position: absolute;
  width: clamp(300px, 80vw, 600px);
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: -2;
}

.logo {
  width: clamp(200px, 20vw, 300px)
}

.text {
  width: 500px;
  font-size: 1em;
  font-family:"Montserrat", Sans-serif;
  color: white;
  font-weight: 0;
  margin: 2em 0;
}

span {
  font-weight: bold;
  color: #C5C29A
}

section {
  width: 1140px;
  padding-top: 100px;
  display: flex;
}

.links {
  margin-left: 3em;
}

.button {
  transition: 0.5s;
  background-size: 200% auto;
  box-shadow: 0px 0px 14px -7px wheat;
  background-color: #ecebd9;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
  width: 430px;
  height: 65px;
  margin: 20px 0;
  color: black;
  text-decoration: none;
  font-family:"Montserrat", Sans-serif;
  font-size: 18px;
  font-weight: bold;
  border-radius: 2px 30px 2px 30px;
}

.button p {
  margin: 0;
  text-align: center;
}

.special {
  background-image: linear-gradient(-45deg,#C5C29A 15%, #e9e5b6 20%, white  30%, #e9e5b6 40%, #C5C29A  100%);
  animation: effect 3s ease-in-out infinite;
}

@keyframes effect {
  from {
    background-position: 200%;
  }

  to {
    background-position: -200%;
  }
}

.button:hover {
  filter: brightness(120%);
  transform: scale(1.05);
}

.button:active {
  transform: scale(0.95);
}

.buttonIcon {
  position: absolute;
  left: 1.5em;
  width: 1.5em;
}

.product {
  height: clamp(200px,50vw, 800px);
  margin-left: 50px;
  filter: drop-shadow(0 0 3rem #e9e5b62d);
}

@media (max-width: 1140px) {
  section {
    display: flex;
    width: 100%;
    flex-direction: column-reverse;
    padding-top: 1vw;
  }

  .links {
    margin: 0;
    justify-content: center;
    align-items: center;
    display: flex;
    flex-direction: column;
    margin-top: -75px;
    margin: -150px auto 75px auto;
    padding-bottom: 20px;
    width: clamp(300px,95%, 500px);

    background: rgba(0, 0, 0, 0.14);
    border-radius: 16px;
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(1.9px);
    -webkit-backdrop-filter: blur(1.9px);
    border: 1px solid rgba(0, 0, 0, 0.4);
    z-index: 2;
  }

  .product {
    object-fit: contain;
    margin: 0;
    height: 400px
  }

  .button {
    margin: 20px 0;
    width: clamp(300px,95%, 400px);
    height: 65px;
  }

  .text {
    text-align: center;
    width: clamp(300px,95%, 400px);
    margin: 20px 0 20px 0 ;
    }
  }